Đến nội dung


Hình ảnh
* * * - - 8 Bình chọn

Viết lisp theo yêu cầu [phần 2]


  • Chủ đề bị khóa Chủ đề bị khóa
3783 replies to this topic

#2321 w1nDream

w1nDream

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 293 Bài viết
Điểm đánh giá: 73 (tàm tạm)

Đã gửi 21 October 2010 - 04:28 PM

Các bác ơi!Giúp em luôn quả này với.(Nếu với riêng bác Bình thì đây là quả "bà Nhũ" đấy). :lol:
http://www.cadviet.c...5__km16_2_1.dwg

:lol:
  • 0
__Tâm tựa lưu thủY__
Vi nhân nan

#2322 nguyentuyen6

nguyentuyen6

    biết lệnh chamfer

  • Advance Member
  • PipPipPipPip
  • 213 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 21 October 2010 - 05:33 PM

1.Em làm được rồi nhưng quả thật là rất chậm.Có cách nào để làm nó nhanh hơn được không bác(vẫn select all). :lol:

2.Bác có thể giúp em đoạn Code chỉnh width text tất cả thành 0.8 được không.Có thể là Code riêng hoặc ghép cho em vào lisp Artxt.lsp của bác Bình cũng được.

:lol:

Mình làm cái chỉnh tất cả width_factor về 0.8 đc thôi. nhưng chỉ là TEXT thôi nhé. Mtext thì mình chưa làm.

(defun c:8 (/ ssd i el en)
(setq ssd (ssget '((0 . "TEXT")))
i 0); loc text
(while (< i (sslength ssd))
(setq en (ssname ssd i))
(setq el (vlax-ename->vla-object en))
(vlax-put-property el 'ScaleFactor 0.8)
(setq i (1+ i))
))

  • 1

Lisp In bản vẽ hàng loạt:
http://www.cadviet.c...ndpost&p=139860


#2323 ro88

ro88

    biết vẽ arc

  • Members
  • PipPip
  • 46 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 21 October 2010 - 08:22 PM

chào các bạn! mình đang làm khảo sát và đo vẽ địa hình,nhờ các bạn viết giúp mình lisp chèn hàng loạt các block khác nhau trên mọt bản vẽ.(ví dụ điểm số 001(stt) là cây cổ thụ,002 cây dừa,006 chùa,......) những block mỗi lần muốn chèn vào phải vào menu insert >>>>block>>>>rồi mới lấy ra để chèn.điều này sẽ rất lâu.khi đã lấy ra một block còn phải tìm điểm để chèn nữa .nhờ các bạn viết giúp mình nhé.có thể là ở dòng comand gõ lệnh...........>>>>>stt "001"(là một điêm mia ngoài thực địa có cả toạ độ và cao độ)>>>tên block muốn chèn "cây cổ thụ">>>ENTER......
mình sẽ up lên một file mẫu http://www.mediafire...ny6flp5ylk4aqzx
thanks all. mong các bạn giúp nhé
  • 0

#2324 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 21 October 2010 - 08:58 PM

Các bác ơi!Giúp em luôn quả này với.(Nếu với riêng bác Bình thì đây là quả "bà Nhũ" đấy). :lol:
http://www.cadviet.c...5__km16_2_1.dwg

:lol:

của bạn đây

(defun c:ctxt ()
(command "undo" "be")
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
(setq ss (ssget "x" (list (cons 0 "TEXT") (cons 8 "ENTDAUCO")))
k 0
)
(while (< k (sslength ss))
(setq name (ssname ss k)
ent (entget name)
)
(entmod (subst (cons 40 0.5) (assoc 40 ent) ent))
(command "change" name "" "p" "c" "1" "")
(setq k (1+ k))
)
(getvar "osmode" oldos)
(command "undo" "be")
)

  • 2
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#2325 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 21 October 2010 - 10:08 PM

1.Em làm được rồi nhưng quả thật là rất chậm.Có cách nào để làm nó nhanh hơn được không bác(vẫn select all). :lol:

2.Bác có thể giúp em đoạn Code chỉnh width text tất cả thành 0.8 được không.Có thể là Code riêng hoặc ghép cho em vào lisp Artxt.lsp của bác Bình cũng được.

:lol:

Việc ghép vào lisp artxt là không cần thiết bởi mình đã ghép rồi bạn ạ.
Còn để riêng thì nó đây nè:

(defun c:chwf ()
(setq sst (ssget (list (cons 0 "text") ))
n (sslength sst)
i 0
)
(while (< i n)
(setq ent (ssname sst i)
elst (entget ent)
)
(setq elst (entmod (subst (cons 41 0.8) (assoc 41 elst) elst)))
(setq i (1+ i))
)
)


Hề hề hề, cái "bà nhũ" ấy của mình bác Phamngoctukts xơi mất rồi còn đâu????

@ Bác Pha5mngoctukts: có thể sử dụng mã DXF 62 để đổi màu cho nó cùng gu bác ạ........
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#2326 ro88

ro88

    biết vẽ arc

  • Members
  • PipPip
  • 46 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 21 October 2010 - 10:39 PM

chào các bạn! mình đang làm khảo sát và đo vẽ địa hình,nhờ các bạn viết giúp mình lisp chèn hàng loạt các block khác nhau trên mọt bản vẽ.(ví dụ điểm số 001(stt) là cây cổ thụ,002 cây dừa,006 chùa,......) những block mỗi lần muốn chèn vào phải vào menu insert >>>>block>>>>rồi mới lấy ra để chèn.điều này sẽ rất lâu.khi đã lấy ra một block còn phải tìm điểm để chèn nữa .nhờ các bạn viết giúp mình nhé.có thể là ở dòng comand gõ lệnh...........>>>>>stt "001"(là một điêm mia ngoài thực địa có cả toạ độ và cao độ)>>>tên block muốn chèn "cây cổ thụ">>>ENTER......
mình sẽ up lên một file mẫu http://www.mediafire...ny6flp5ylk4aqzx
thanks all. mong các bạn giúp nhé

sao không thấy ai giúp hết vậy.
  • 0

#2327 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 21 October 2010 - 11:57 PM

sao không thấy ai giúp hết vậy.

Hề hề hề,
Kêu lắm làm chi cho rát cổ vậy. Cứ củ từ cho chắc bạn ạ.
Bạn dùng thử cái này coi đã ưng ý chưa, nếu chưa thì pót lên và chịu khó đợi nghen. Đừng làm mất trật tự trên diễn đàn. Hề hề hề...

(defun c:nbl ()
(setq mia (getstring T "\n Nhap diem mia : ")
bln (getstring T "\n Nhap ten block: ")
)
(setq ss (ssget "x" (list (cons 0 "text") (cons 1 mia)))
n (sslength ss)
i 0
)
(while (< i n)
(setq etxt (ssname ss i)
ptxt (cdr (assoc 10 (entget etxt)))
)
(if (tblsearch "block" bln)
(command "insert" bln ptxt "" "" "")
(alert (strcat "Khong co block mang ten" bln))
)
(setq i (1+ i))
)
)


Không ai giúp vì không ai rảnh, vì không ai hiểu, vì không ai muốn, vì ..... vì..... vì......
Phải biết kiên nhẫn bạn ạ, quan cần mà dân chửa vội, quan vội thì quan lội mà đi. Mọi sự giúp đỡ đều phải có thời gian của nó chứ không phải cứ muốn là phải có người giúp bạn hiểu chứ....
Hề hề hề.....
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#2328 phamvanthiet108

phamvanthiet108

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 22 October 2010 - 09:50 AM

Chào Các Bác ! . Em có bản vẽ cần tính diện tích phần hacth. Em đã tìm các lisp trên diễn đàn nhưng ko giải quyết được. em gửi file đó lên mong các Bác giúp em. Cám ơn Các Bác nhiều.
http://www.cadviet.c...drawing1_26.dwg
  • 0

#2329 VUVUZELA

VUVUZELA

    biết lệnh chamfer

  • Members
  • PipPipPipPip
  • 210 Bài viết
Điểm đánh giá: 97 (tàm tạm)

Đã gửi 22 October 2010 - 01:37 PM

Chào Các Bác ! . Em có bản vẽ cần tính diện tích phần hacth. Em đã tìm các lisp trên diễn đàn nhưng ko giải quyết được. em gửi file đó lên mong các Bác giúp em. Cám ơn Các Bác nhiều.
http://www.cadviet.c...drawing1_26.dwg


Dễ luôn
Explode nó ra
Xong vẽ PLINE theo phương pháp bắt điểm nối lại từng điểm của line đã nổ HATCH
Tính diện tích là xong
Hehe
Khỏi cần lisp liếc j cả
:lol:
  • 0

Hệ thống Liên Kết, Thiết Kế Tự Động

ttps://www.facebook...etThietKeTuDong


#2330 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 22 October 2010 - 02:09 PM

Dễ luôn
Explode nó ra
Xong vẽ PLINE theo phương pháp bắt điểm nối lại từng điểm của line đã nổ HATCH
Tính diện tích là xong
Hehe
Khỏi cần lisp liếc j cả
:lol:

Thế thì chết :lol:
File của bạn ấy gửi lên cũng k phải là có nhiều miền hatch,nhưng do miền hatch lắm spl quá,nên các lisp tạo đường bo hàng loạt bị rối.Kết hợp bo = lisp,bo = thủ công + lisp nối đường thẳng thành pl + lisp tính tổng các miền pl thì giải quyết triệt để hơn.
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#2331 tamkt

tamkt

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 October 2010 - 06:37 PM

Hị hị làm reng mà đc cái này là hàm con mà. Bạn thích cái chiều dày nhập vào phải ko? chờ chút sửa cho chứ khó gì
Đây nì
(Defun C:xtdpl ( )
(command "undo" "be")
(Prompt "\nChon doi tuong pline")
(setq doituong1 (entsel))
(while
(null doituong1)
(Prompt "\nChon doi tuong pline")
(setq doituong1 (entsel))
)
(setq doituongt (car doituong1))
(setq doituong (entget doituongt))
(setq drong (getstring "\nNhap do rong:"))
(setq TENFILELUUKETQUA (getfiled "Chon file de luu ket qua .txt:" "" "txt" 1))
(setq FILEMODEVIET (open TENFILELUUKETQUA "a"))
(setq luubatdiem (getvar "osmode"))
(setvar "osmode" 0)
(setq sodinh (cdr (assoc 90 doituong)))
(setq Rec (acet-geom-vertex-list doituongt))
(setq ttd 0)
(while (< ttd sodinh)
(setq noidungdong (strcat (itoa (+ ttd 1)) ",d " drong "," (rtos (car (nth ttd Rec)) 2 1) "," (rtos (cadr (nth ttd Rec)) 2 1)))

(write-line noidungdong FILEMODEVIET)
(setq ttd (1+ ttd))
)
(setvar "osmode" luubatdiem)
(close FILEMODEVIET)
(command "undo" "end")
(Princ)
)

Thật tuyệt, nhanh và gọn, cám ơn anh nhe.
  • 0

#2332 tamkt

tamkt

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 October 2010 - 08:17 PM

Thật tuyệt, nhanh và gọn, cám ơn anh nhe.

Em lại có chủ đề mới nè,hihi...đây là file cad, mong mọi người giúp em...
file cad: http://www.mediafire...nv53ffn3xoj3f9l
  • 0

#2333 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 23 October 2010 - 01:52 AM

Em lại có chủ đề mới nè,hihi...đây là file cad, mong mọi người giúp em...
file cad: http://www.mediafire...nv53ffn3xoj3f9l

Của bạn đây. Mình làm theo đúng nội dung trong file bạn gửi lên.

(defun c:tdt ()
(vl-load-com)
(setq ss (ssget '((0 . "TEXT,MTEXT"))))
(setq sslist (acet-ss-to-list ss))
(setq sslist (vl-sort sslist
'(lambda (x y)
(and
(= (cadr (cdr (assoc 10 (entget x)))) (cadr (cdr (assoc 10 (entget y)))))
(> (car (cdr (assoc 10 (entget x)))) (car (cdr (assoc 10 (entget y)))))
)
)
)
)
(setq i 0)
(setq sslist (reverse sslist))
(while (< i (length sslist))
(setq ent (entget (nth i sslist)))
(entmod (subst (cons 1 (rtos (1+ i) 2 0)) (assoc 1 ent) ent))
(setq i (1+ i))
)
(setq sy (getstring "Ban cos muon them ky tu vao khong Yes/No: : "))
(if (or (= sy "y") (= sy ""))
(progn
(setq tt (getstring "ky tu muon them vao: "))
(addsym sslist tt)
)
)
(if (= sy "n") (setq sy nil))
)

(defun addsym (sst sym /)
(foreach n sst
(setq txt (cdr (assoc 1 (entget n))))
(entmod (subst (cons 1 (strcat sym txt)) (assoc 1 (entget n)) (entget n)))
)
)

  • 1
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#2334 tamkt

tamkt

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 October 2010 - 08:00 AM

Của bạn đây. Mình làm theo đúng nội dung trong file bạn gửi lên.


(defun c:tdt ()
(vl-load-com)
(setq ss (ssget '((0 . "TEXT,MTEXT"))))
(setq sslist (acet-ss-to-list ss))
(setq sslist (vl-sort sslist
'(lambda (x y)
(and
(= (cadr (cdr (assoc 10 (entget x)))) (cadr (cdr (assoc 10 (entget y)))))
(> (car (cdr (assoc 10 (entget x)))) (car (cdr (assoc 10 (entget y)))))
)
)
)
)
(setq i 0)
(setq sslist (reverse sslist))
(while (< i (length sslist))
(setq ent (entget (nth i sslist)))
(entmod (subst (cons 1 (rtos (1+ i) 2 0)) (assoc 1 ent) ent))
(setq i (1+ i))
)
(setq sy (getstring "Ban cos muon them ky tu vao khong Yes/No: : "))
(if (or (= sy "y") (= sy ""))
(progn
(setq tt (getstring "ky tu muon them vao: "))
(addsym sslist tt)
)
)
(if (= sy "n") (setq sy nil))
)

(defun addsym (sst sym /)
(foreach n sst
(setq txt (cdr (assoc 1 (entget n))))
(entmod (subst (cons 1 (strcat sym txt)) (assoc 1 (entget n)) (entget n)))
)
)

Quá tuyệt vời luôn anh, anh xử lý quá gọn nhẹ, hihi, thật tuyệt, em cám ơn anh Tú nhiều lắm lắm.
  • 0

#2335 VUVUZELA

VUVUZELA

    biết lệnh chamfer

  • Members
  • PipPipPipPip
  • 210 Bài viết
Điểm đánh giá: 97 (tàm tạm)

Đã gửi 23 October 2010 - 02:31 PM

Thế thì chết :lol:
File của bạn ấy gửi lên cũng k phải là có nhiều miền hatch,nhưng do miền hatch lắm spl quá,nên các lisp tạo đường bo hàng loạt bị rối.Kết hợp bo = lisp,bo = thủ công + lisp nối đường thẳng thành pl + lisp tính tổng các miền pl thì giải quyết triệt để hơn.


hehe
Cái này theo tui nghĩ thì có thể xài thuật toán này
1. Exlpode các đối tưọng HATCH
2. QUét chọn từng vùng đã HATCH một
3. Đọc danh sách các LINE (gồm điểm 1 và điểm 2 của PLINE)
4. Sắp xếp thự tự các điểm đó theo thứ tự chọn khoảng cách nhỏ nhất (THUẬT TOÁN này thì em chịu)
5. Vẽ pline kín của vùng chọn là xong
  • 0

Hệ thống Liên Kết, Thiết Kế Tự Động

ttps://www.facebook...etThietKeTuDong


#2336 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 23 October 2010 - 04:14 PM

hehe
Cái này theo tui nghĩ thì có thể xài thuật toán này
1. Exlpode các đối tưọng HATCH
2. QUét chọn từng vùng đã HATCH một
3. Đọc danh sách các LINE (gồm điểm 1 và điểm 2 của PLINE)
4. Sắp xếp thự tự các điểm đó theo thứ tự chọn khoảng cách nhỏ nhất (THUẬT TOÁN này thì em chịu)
5. Vẽ pline kín của vùng chọn là xong

Chào VUVUZELA,
Theo Thiep thì không nên nổ Hatch mà chỉ Hatchedit với tuỳ chọn SEPARATE để tách các hatch ra thành từng cái rời rạc. rồi dùng lisp tính diên tích đã có trên diễn đàn.
Còn nếu bạn muốn phục hồi đường bao hatch thì cũng đã có trên diễn đàn, thiep nhớ là đã đưa lisp này ở đâu đó.
  • 1

#2337 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 23 October 2010 - 05:30 PM

hehe
Cái này theo tui nghĩ thì có thể xài thuật toán này
1. Exlpode các đối tưọng HATCH
2. QUét chọn từng vùng đã HATCH một
3. Đọc danh sách các LINE (gồm điểm 1 và điểm 2 của PLINE)
4. Sắp xếp thự tự các điểm đó theo thứ tự chọn khoảng cách nhỏ nhất (THUẬT TOÁN này thì em chịu)
5. Vẽ pline kín của vùng chọn là xong

Hề hề hề,
Chào bác VUVUZELA ,
Cái miền hatch nó đặc tịt thỉ có nhẽ khả dĩ song nó lại có dăm vùng trống ở giữa mới là oái oăm bác ạ. Khi đó chắc lại phải gọi đến bác VAVAZELU mới xong bác hỉ????
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#2338 790312

790312

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 204 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 23 October 2010 - 05:53 PM

Của bạn đây. Mình làm theo đúng nội dung trong file bạn gửi lên.


(defun c:tdt ()
(vl-load-com)
(setq ss (ssget '((0 . "TEXT,MTEXT"))))
(setq sslist (acet-ss-to-list ss))
(setq sslist (vl-sort sslist
'(lambda (x y)
(and
(= (cadr (cdr (assoc 10 (entget x)))) (cadr (cdr (assoc 10 (entget y)))))
(> (car (cdr (assoc 10 (entget x)))) (car (cdr (assoc 10 (entget y)))))
)
)
)
)
(setq i 0)
(setq sslist (reverse sslist))
(while (< i (length sslist))
(setq ent (entget (nth i sslist)))
(entmod (subst (cons 1 (rtos (1+ i) 2 0)) (assoc 1 ent) ent))
(setq i (1+ i))
)
(setq sy (getstring "Ban cos muon them ky tu vao khong Yes/No: : "))
(if (or (= sy "y") (= sy ""))
(progn
(setq tt (getstring "ky tu muon them vao: "))
(addsym sslist tt)
)
)
(if (= sy "n") (setq sy nil))
)

(defun addsym (sst sym /)
(foreach n sst
(setq txt (cdr (assoc 1 (entget n))))
(entmod (subst (cons 1 (strcat sym txt)) (assoc 1 (entget n)) (entget n)))
)
)

Bạn có thể thêm lựa chọn cho chọn vào trước hay sau của text và thêm vào text block thuộc tính luôn được khôn?Cảm ơn bạn trước.
  • 0

#2339 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 23 October 2010 - 08:00 PM

Hề hề hề,
Chào bác VUVUZELA ,
Cái miền hatch nó đặc tịt thỉ có nhẽ khả dĩ song nó lại có dăm vùng trống ở giữa mới là oái oăm bác ạ. Khi đó chắc lại phải gọi đến bác VAVAZELU mới xong bác hỉ????

Chào bác bình em cũng đang nghiên cứu để viết lisp này nhưng đúng là nó xương thật. Vì bạn đó vẽ đường bao bằng spline nên khi dùng (vla-get-object obj) thì báo lỗi em đang chưa biết xử lý thế nào.

(defun c:dth ()
(setq ssh (ssget "x" '((0 . "HATCH")))
ssh (acet-ss-to-list ssh) dtt 0)
(foreach n ssh
(command "hatchedit" n "h" )
)
(setq ssht (ssget "x" '((0 . "HATCH")))
ssht (acet-ss-to-list ssht) i 0)
;(foreach n ssht
;(setq dt (vla-get-area (vlax-ename->vla-object n )))
;(setq listdt (append (list dt) listdt))
;;;; )
(while (< i (length ssht))
(setq name (nth i ssht)
ob (vlax-ename->vla-object name)
dt (vla-get-area ob )
listdt (append (list dt) listdt)
)
(setq i (1+ i))
)
(setq dtt (apply '+ listdt))
(alert (strcat "tong dien tich hatch la: " (rtos dtt 2 3 )))
)

Lỗi thằng (nth 38 ssht) thằng này có đường bao bằng spline khi dùng hatchedit để lấy boundary -> dùng fatten để covert spl->pl thì đầu của pl nới này lại không trùng với pl của boundary do vậy không join lại được. "Cái này dùng tay thì dễ ợt."
  • 1
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#2340 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 23 October 2010 - 08:13 PM

Bạn có thể thêm lựa chọn cho chọn vào trước hay sau của text và thêm vào text block thuộc tính luôn được khôn?Cảm ơn bạn trước.

Mình không hiểu ý bạn lắm bạn có thể nói rõ hơn được không.?
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!